View Issue Details

IDProjectCategoryView StatusLast Update
0022140mantisbtadministrationpublic2017-04-25 22:55
ReportertakenAssigned Tocproensa 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.0 
Target Version2.4.0Fixed in Version2.4.0 
Summary0022140: Getting error dialog when reporting issues and file upload is disabled
Description

Hello
After upgrade from 1.3 to 2.0 Clients report not working Mantis on Opera webbrowser.
Tester on newlatest version od Opera.

Error: Dropzone.js does not support older browsers!

Tagsmodern-ui

Relationships

related to 0021685 resolvedatrol Dropzone.js error message at each bug detail 
related to 0022304 assignedvboctor Add "due_date" to config and got "Dropzone.js" error on report page 

Activities

dregad

dregad

2017-01-09 06:50

developer   ~0054984

Which version of Opera, and what OS ?
See http://www.dropzonejs.com/#browser-support

taken

taken

2017-01-09 07:12

reporter   ~0054985

Newlatest opera 42.0.2393.94

dregad

dregad

2017-01-09 07:22

developer   ~0054987

and what OS ?

taken

taken

2017-01-09 07:43

reporter   ~0054989

Windows 10 x64

atrol

atrol

2017-01-09 08:00

developer   ~0054990

taken,

I was not able to reproduce your problem on www.mantisbt.org/bugs on Windows 10 64 Bit using Opera 42.0.2393.94.

Please provide detailed step-by-step instructions to reproduce the issue; the following additional information may also be useful:

  • Exact version of PHP, Database, Web server, Browser and Operating System
  • Relevant customizations (e.g. changes in config_inc.php, etc)
  • Installed plugins or custom functions ?
  • Was the MantisBT source code modified in any way ?
taken

taken

2017-01-09 12:12

reporter   ~0054996

Ok i know where is problem.
I just debug this and if in config_inc.php i put:
$g_allow_file_upload = OFF;

i get this error.....

Ps. Omg i just saw i got 2 account on your bugtracker ;-) the most funny both registered to this same e-mail ;-)

atrol

atrol

2017-01-09 14:37

developer   ~0054998

Last edited: 2017-01-09 14:40

View 2 revisions

Obviously no Opera issue.
Reproduced using Safari and $g_allow_file_upload = OFF;

As a workaround, remove this line from js/common.js

        alert( form.data('dropzone-not-supported') );
taken

taken

2017-01-09 14:45

reporter   ~0055000

The most funny on Microsoft Edge "No error" :-) that why i was thinking problem is with Opera, but true i check on chrome same error...
Can you repair this problem in version 2.1 ?
I understand remove this alert resolve problem for now, but in next patch this problem back :-(

Best regards
TaKeN

atrol

atrol

2017-01-09 16:18

developer   ~0055002

Omg i just saw i got 2 account on your bugtracker ;-)

@taken, what do you want to tell us with this?
Is there any curious thing concerning authorization?
Or do you want us to remove/deactivate one of the accounts?
Or are you just wondering that there are two accounts?

taken has been created 2011-01-11
adminwset has been created 2014-08-18

taken

taken

2017-01-09 16:24

reporter   ~0055003

remove please adminwset account.

atrol

atrol

2017-01-09 16:47

developer   ~0055004

Last edited: 2017-02-03 00:11

View 2 revisions

remove please adminwset account.

Done

Can you repair this problem in version 2.1 ?

Can't promise anything.
A clean solution is more than just removing the mentioned one line.
I don't have time to have a deeper look at it.

vboctor

vboctor

2017-02-03 00:21

manager   ~0055457

I recall there was also an error when 'attachments' field is excluded from the page.

cproensa

cproensa

2017-03-27 15:11

developer   ~0056228

PR: https://github.com/mantisbt/mantisbt/pull/1073

taken

taken

2017-04-02 04:00

reporter   ~0056321

Hey
I just tested on newlatest version: 2.3.0
Still when You try add bug you get same error.
This patch only resolve problem when You viewing exist bug, but not when You add new one.
When You press add you get errors....

Best Regards
TaKeN

atrol

atrol

2017-04-04 09:41

developer   ~0056372

@cproensa will you work on this the next days, or should I try to fix it?

cproensa

cproensa

2017-04-04 11:57

developer   ~0056373

@cproensa will you work on this the next days, or should I try to fix it?

Here:
https://github.com/mantisbt/mantisbt/pull/1077

atrol

atrol

2017-04-21 16:59

developer   ~0056648

Latest PR https://github.com/mantisbt/mantisbt/pull/1082

Related Changesets

MantisBT: master 5898638f

2017-03-27 15:04:56

cproensa


Committer: vboctor Details Diff
Fix dropzone alert if upload is not allowed

If uploading is not allowed, when viewing a bug, don't place dropzone
attributes in bugnote form. Otherwise, an error dialog is triggered.

Fixes: 0022140
mod - bugnote_add_inc.php Diff File

MantisBT: master 4f38c830

2017-04-05 20:21:12

cproensa


Committer: vboctor Details Diff
Rewrite dropzone initialization

Some changes has been done to Dropzone initialization:
- Container form now does not need any special class.
- Dropzone specific data attributes are now placed in the Dropzone div
element, which is indicated as "dropzone" class.
- Auto upload feature is now enabled by adding the additional
"auto-dropzone" class to current "dropzone" div.

Dropzone initialization searchs for elements with class "dropzone", then
searchs for the container form and uses it as parameter for the object,
and register event listeners.

Fixes: 0022140, 0022673
mod - bug_report_page.php Diff File
mod - bugnote_add_inc.php Diff File
mod - js/common.js Diff File

Issue History

Date Modified Username Field Change
2017-01-09 04:15 taken New Issue
2017-01-09 06:50 dregad Status new => feedback
2017-01-09 06:50 dregad Note Added: 0054984
2017-01-09 07:12 taken Note Added: 0054985
2017-01-09 07:12 taken Status feedback => new
2017-01-09 07:22 dregad Note Added: 0054987
2017-01-09 07:43 taken Note Added: 0054989
2017-01-09 08:00 atrol Status new => feedback
2017-01-09 08:00 atrol Note Added: 0054990
2017-01-09 12:12 taken Note Added: 0054996
2017-01-09 12:12 taken Status feedback => new
2017-01-09 14:37 atrol Assigned To => atrol
2017-01-09 14:37 atrol Status new => confirmed
2017-01-09 14:37 atrol Note Added: 0054998
2017-01-09 14:40 atrol Note Edited: 0054998 View Revisions
2017-01-09 14:41 atrol Summary Mantis not working on Opera => Getting error dialog when reporting issues and file upload is disabled
2017-01-09 14:41 atrol Assigned To atrol =>
2017-01-09 14:45 taken Note Added: 0055000
2017-01-09 16:18 atrol Note Added: 0055002
2017-01-09 16:24 taken Note Added: 0055003
2017-01-09 16:47 atrol Note Added: 0055004
2017-01-09 16:47 atrol Priority high => normal
2017-01-09 16:47 atrol Severity crash => major
2017-01-09 17:18 atrol Relationship added related to 0021685
2017-02-03 00:11 vboctor Note Edited: 0055004 View Revisions
2017-02-03 00:12 vboctor Relationship added related to 0022304
2017-02-03 00:21 vboctor Note Added: 0055457
2017-02-03 02:38 atrol Tag Attached: modern-ui
2017-03-27 15:11 cproensa Note Added: 0056228
2017-03-27 16:13 vboctor Changeset attached => MantisBT master 5898638f
2017-03-27 16:13 cproensa Assigned To => cproensa
2017-03-27 16:13 cproensa Status confirmed => resolved
2017-03-27 16:13 cproensa Resolution open => fixed
2017-03-27 16:13 cproensa Fixed in Version => 2.2.3
2017-03-27 16:14 vboctoradmin Fixed in Version 2.2.3 => 2.3.0
2017-03-27 16:14 vboctoradmin Target Version => 2.3.0
2017-04-01 00:13 vboctoradmin Status resolved => closed
2017-04-02 04:00 taken Status closed => feedback
2017-04-02 04:00 taken Resolution fixed => reopened
2017-04-02 04:00 taken Note Added: 0056321
2017-04-02 15:17 atrol Status feedback => assigned
2017-04-02 15:17 atrol Fixed in Version 2.3.0 =>
2017-04-02 15:17 atrol Target Version 2.3.0 => 2.4.0
2017-04-04 09:41 atrol Note Added: 0056372
2017-04-04 11:57 cproensa Note Added: 0056373
2017-04-21 16:59 atrol Note Added: 0056648
2017-04-25 22:55 vboctor Changeset attached => MantisBT master 4f38c830
2017-04-25 22:55 cproensa Status assigned => resolved
2017-04-25 22:55 cproensa Resolution reopened => fixed
2017-04-25 22:55 cproensa Fixed in Version => 2.4.0